<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__capsense__csd_8h" kind="file" language="C++">
    <compoundname>cy_capsense_csd.h</compoundname>
    <includes local="yes">cy_syslib.h</includes>
    <includes local="yes" refid="cy__capsense__common_8h">cy_capsense_common.h</includes>
    <includes local="yes" refid="cy__capsense__structure_8h">cy_capsense_structure.h</includes>
    <includedby local="yes" refid="cy__capsense_8h">cy_capsense.h</includedby>
    <includedby local="yes" refid="cy__capsense__csd_8c">cy_capsense_csd.c</includedby>
    <includedby local="yes" refid="cy__capsense__sensing_8c">cy_capsense_sensing.c</includedby>
    <incdepgraph>
      <node id="33">
        <label>cy_syslib.h</label>
      </node>
      <node id="32">
        <label>cy_capsense_csd.h</label>
        <link refid="cy__capsense__csd_8h" />
        <childnode refid="33" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy__capsense__csd_8h_1af1c1aeffa7478446863969bef45d348e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_DEFAULT_CSD_SW_DSI_SEL</name>
        <initializer>(0x00000000uL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="35" />
      </memberdef>
      <memberdef id="cy__capsense__csd_8h_1a585a93def3272ec7704e669884c676d1" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_DEFAULT_CSD_INTR_SET</name>
        <initializer>(0x00000000uL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="36" />
      </memberdef>
      <memberdef id="cy__capsense__csd_8h_1a19445000f451faf704dce755d634fc13" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_DEFAULT_SW_HS_N_SEL</name>
        <initializer>(0x00000000uL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="37" />
      </memberdef>
      <memberdef id="cy__capsense__csd_8h_1acd35e86ee58f06dc84efcd19e67e594b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_DEFAULT_CSD_ADC_CTL</name>
        <initializer>(0x00000000uL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="38" />
      </memberdef>
      <memberdef id="cy__capsense__csd_8h_1a9427f17c12032e885aa272a28eae13e8" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_EXT_CAP_DISCHARGE_TIME</name>
        <initializer>(1u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="40" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga267502081ebfd5ed1221debd9167e7fa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_status</type>
        <definition>cy_status Cy_CapSense_CSDCalibrateWidget</definition>
        <argsstring>(uint32_t widgetId, uint32_t target, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDCalibrateWidget</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>target</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Executes the IDAC calibration for all the sensors in the widget specified in the input. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is obsolete and kept for backward compatibility only. The &lt;a href="group__group__capsense__low__level.html#group__group__capsense__low__level_1gaff8b47bb85733b776ac6d937640d5f5b"&gt;Cy_CapSense_CalibrateWidget()&lt;/a&gt; function should be used instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Performs a successive approximation search algorithm to find appropriate modulator and compensation IDAC (if enabled) values for all sensors in the specified widget that provide the raw count to the level specified by the target parameter.</verbatim></para><para>Calibration returns CY_RET_BAD_DATA if the achieved raw count is outside of the range specified by the target and acceptable calibration deviation parameters.</para><para>This function could be used when the CSD Enable IDAC auto-calibration parameter is enabled. Do not use this function when the SmartSense auto-tuning mode is configured.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>target</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the calibration target in percentages of the maximum raw count.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the specified widget calibration:<itemizedlist>
<listitem><para>CY_RET_SUCCESS - The operation is successfully completed.</para></listitem><listitem><para>CY_RET_BAD_PARAM - The input parameter is invalid.</para></listitem><listitem><para>CY_RET_BAD_DATA - The calibration failed and CapSense may not operate as expected.</para></listitem><listitem><para>CY_RET_INVALID_STATE - The previous scanning is not completed, and the CapSense middleware is busy. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1656" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="1555" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="50" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_CSDSetupWidget</definition>
        <argsstring>(uint32_t widgetId, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDSetupWidget</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Performs the initialization required to scan the specified CSD widget. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is obsolete and kept for backward compatibility only. The &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1ga24a8c78f6b56d1567761a66b7d758e82"&gt;Cy_CapSense_SetupWidget()&lt;/a&gt; function should be used instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;This function prepares the middleware to scan all the sensors in the specified CSD widget by executing the following tasks:</verbatim><orderedlist>
<listitem><para>Configure the CSD HW block if it is not configured to perform the CSD sensing method used by the specified widget.</para></listitem><listitem><para>Initialize the CSD HW block with specific sensing configuration (e.g. sensor clock, scan resolution) used by the widget.</para></listitem><listitem><para>Disconnect all previously connected electrodes, if the electrodes connected by the <ref kindref="member" refid="group__group__capsense__low__level_1ga898ff1a676637f32c34140f88d5d275f">Cy_CapSense_CSDSetupWidgetExt()</ref>, <ref kindref="member" refid="group__group__capsense__low__level_1ga39248233bf04b09b3e24d02b6e615d32">Cy_CapSense_CSXSetupWidgetExt()</ref> functions are not disconnected.</para></listitem></orderedlist>
</para><para>This function does not start sensor scanning. The <ref kindref="member" refid="group__group__capsense__low__level_1gad5faac7e10eb8c4193d7c93b5615ac70">Cy_CapSense_CSDScan()</ref> function must be called to start the scan sensors in the widget. If this function is called more than once, it does not break the middleware operation, but only the last initialized widget is in effect. Calling this function directly from the application program is not recommended. This function is used to implement only the user's specific use cases (for example faster execution).</para><para>The status of a sensor scan must be checked using the <ref kindref="member" refid="group__group__capsense__high__level_1ga7f8739755bba6b51c274f45b569b9ba0">Cy_CapSense_IsBusy()</ref> function prior to starting a next scan or setting up another widget.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="535" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="521" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="51" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga898ff1a676637f32c34140f88d5d275f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_CSDSetupWidgetExt</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDSetupWidgetExt</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Performs extended initialization required to scan a specified sensor in a widget using CSD sensing method. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is obsolete and kept for backward compatibility only. The &lt;a href="group__group__capsense__low__level.html#group__group__capsense__low__level_1ga6e1e04fc3230d480e725e8f7bb3848e5"&gt;Cy_CapSense_SetupWidgetExt()&lt;/a&gt; function should be used instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;This function performs the same tasks of </verbatim><ref kindref="member" refid="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c">Cy_CapSense_CSDSetupWidget()</ref> and also connects and configures specified sensor for scan. Hence this function, along with <ref kindref="member" refid="group__group__capsense__low__level_1ga93d8ff09f519f7bfd17b5bf4bcb8f727">Cy_CapSense_CSDScanExt()</ref> function, can be used to scan a specific sensor in the widget.</para><para>This function should be called for widget that is configured to use CSD sensing method, using this function on a non-CSD sensing widget would cause unexpected result.</para><para>This function requires using the <ref kindref="member" refid="group__group__capsense__low__level_1ga93d8ff09f519f7bfd17b5bf4bcb8f727">Cy_CapSense_CSDScanExt()</ref> function to initiate a scan.</para><para>Calling this function directly from the application layer is not recommended. This function is used to implement only the user's specific use cases (for example faster execution).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the sensor within the widget. A macro for the sensor ID within a specified widget can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_SNS&lt;SENSOR_NUMBER&gt;_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="591" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="577" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="52" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1gad5faac7e10eb8c4193d7c93b5615ac70" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_CSDScan</definition>
        <argsstring>(cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDScan</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>This function initiates a scan for the sensors of the widget initialized by the <ref kindref="member" refid="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c">Cy_CapSense_CSDSetupWidget()</ref> function. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is obsolete and kept for backward compatibility only. The &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1gabcd24da0c4f246383c58a8f2760ea264"&gt;Cy_CapSense_Scan()&lt;/a&gt; function should be used instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;This function does the following tasks:</verbatim><orderedlist>
<listitem><para>Connects the first sensor of the widget.</para></listitem><listitem><para>Configures the IDAC value.</para></listitem><listitem><para>Starts scanning for the first sensor in the widget.</para></listitem></orderedlist>
</para><para>This function is called by the <ref kindref="member" refid="group__group__capsense__high__level_1gabcd24da0c4f246383c58a8f2760ea264">Cy_CapSense_Scan()</ref> if the given widget uses the CSD sensing method.</para><para>Calling this function directly from the application program is not recommended. This function is used to implement only the user's specific use cases (for example faster execution).</para><para>This function is called when no scanning is in progress. I.e. <ref kindref="member" refid="group__group__capsense__high__level_1ga7f8739755bba6b51c274f45b569b9ba0">Cy_CapSense_IsBusy()</ref> returns a non-busy status and the widget must be preconfigured using the <ref kindref="member" refid="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c">Cy_CapSense_CSDSetupWidget()</ref> function prior to calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="722" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="708" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga93d8ff09f519f7bfd17b5bf4bcb8f727" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_CSDScanExt</definition>
        <argsstring>(cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDScanExt</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Starts the CSD conversion on the preconfigured sensor. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is obsolete and kept for backward compatibility only. The &lt;a href="group__group__capsense__low__level.html#group__group__capsense__low__level_1ga1453dd4d533eaf1ab4a92ceb8d8230f2"&gt;Cy_CapSense_ScanExt()&lt;/a&gt; function should be used instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;This function performs scanning of a specific sensor in the widget previously initialized using the </verbatim><ref kindref="member" refid="group__group__capsense__low__level_1ga898ff1a676637f32c34140f88d5d275f">Cy_CapSense_CSDSetupWidgetExt()</ref> function.</para><para>This function is called when no scanning is in progress. I.e. <ref kindref="member" refid="group__group__capsense__high__level_1ga7f8739755bba6b51c274f45b569b9ba0">Cy_CapSense_IsBusy()</ref> returns a non-busy status and the widget must be preconfigured using <ref kindref="member" refid="group__group__capsense__low__level_1ga898ff1a676637f32c34140f88d5d275f">Cy_CapSense_CSDSetupWidgetExt()</ref> function prior to calling this function. Calling this function directly from the application program is not recommended. This function is used to implement only the user's specific use cases (for example faster execution).</para><para>This function does not disconnect sensor GPIOs from CSD HW block at the end of a scan, therefore making subsequent scan of the same sensor is faster. If sensor needs to be disconnected after the scan, <ref kindref="member" refid="group__group__capsense__low__level_1ga6a8a786c465600cb93afa65fbb2474e6">Cy_CapSense_CSDDisconnectSns()</ref> function can be used.</para><para>Calling <ref kindref="member" refid="group__group__capsense__high__level_1ga24a8c78f6b56d1567761a66b7d758e82">Cy_CapSense_SetupWidget()</ref>, <ref kindref="member" refid="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c">Cy_CapSense_CSDSetupWidget()</ref>, <ref kindref="member" refid="group__group__capsense__high__level_1ga2b680a2dfbd9ae13463fe83cba605de9">Cy_CapSense_ScanAllWidgets()</ref>, or if <ref kindref="member" refid="group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4">Cy_CapSense_RunTuner()</ref> returns CY_CAPSENSE_STATUS_RESTART_DONE status invalidated initialization made by this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="674" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="656" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="54" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_CSDConnectSns</definition>
        <argsstring>(const cy_stc_capsense_pin_config_t *snsAddrPtr, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDConnectSns</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref> *</type>
          <declname>snsAddrPtr</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Connects port pin to the CSD HW block using AMUX bus. </para>        </briefdescription>
        <detaileddescription>
<para>This function can be used to customize the default sensor connection by connecting one or more pins to an existing sensor prior to initiating scan of the sensor.</para><para>The function ignores whether the sensor is a ganged sensor and connects only a specified port pin to the CSD HW block. This function can only use GPIOs that are already assigned to CapSense middleware.</para><para>The functions that perform a setup and scan of a sensor/widget do not take into account changes in the design made by the <ref kindref="member" refid="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6">Cy_CapSense_CSDConnectSns()</ref> function, hence all GPIOs connected using this function must be disconnected using the <ref kindref="member" refid="group__group__capsense__low__level_1ga6a8a786c465600cb93afa65fbb2474e6">Cy_CapSense_CSDDisconnectSns()</ref> function prior to initializing new widgets. Use this function in StartSample callback (see the <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section for details) or with low-level functions that perform a single-sensor scanning.</para><para>Scanning should be completed before calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>snsAddrPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the pointer to the <ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref> object belonging to a sensor that is to be connected to the CSD HW block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
An example of using the function to perform port pin re-connection: <programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*...*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga6e1e04fc3230d480e725e8f7bb3848e5">Cy_CapSense_SetupWidgetExt</ref>(CY_CAPSENSE_TOUCHPAD0_WDGT_ID,<sp />0u,<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Connects<sp />a<sp />desired<sp />port<sp />pin<sp />as<sp />a<sp />sensor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6">Cy_CapSense_CSDConnectSns</ref>(&amp;(cy_capsense_context.ptrWdConfig[CY_CAPSENSE_TOUCHPAD0_WDGT_ID].ptrEltdConfig-&gt;ptrPin[CY_CAPSENSE_TOUCHPAD0_SNS1_ID]),<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga1453dd4d533eaf1ab4a92ceb8d8230f2">Cy_CapSense_ScanExt</ref>(&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__capsense__macros__general_1ga1bd45eed2be393b7f53c20f1bae2814e">CY_CAPSENSE_NOT_BUSY</ref><sp />!=<sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga7f8739755bba6b51c274f45b569b9ba0">Cy_CapSense_IsBusy</ref>(&amp;cy_capsense_context)){}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disconnects<sp />a<sp />desired<sp />port<sp />pin<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga6a8a786c465600cb93afa65fbb2474e6">Cy_CapSense_CSDDisconnectSns</ref>(&amp;(cy_capsense_context.ptrWdConfig[CY_CAPSENSE_TOUCHPAD0_WDGT_ID].ptrEltdConfig-&gt;ptrPin[CY_CAPSENSE_TOUCHPAD0_SNS1_ID]),<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*...*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="835" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="829" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="55" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga6a8a786c465600cb93afa65fbb2474e6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_CSDDisconnectSns</definition>
        <argsstring>(const cy_stc_capsense_pin_config_t *snsAddrPtr, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CSDDisconnectSns</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref> *</type>
          <declname>snsAddrPtr</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Disconnects port pin from the CSD HW block by disconnecting it from AMUX bus. </para>        </briefdescription>
        <detaileddescription>
<para>This function can be used to disconnect a sensor connected using the <ref kindref="member" refid="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6">Cy_CapSense_CSDConnectSns()</ref> function. In addition, this function can be used to customize a default sensor connection by disconnecting one or more already connected sensors prior to initiating a scan of the sensor.</para><para>This function works identically to the <ref kindref="member" refid="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6">Cy_CapSense_CSDConnectSns()</ref> function except it disconnects the specified port pin used by the sensor.</para><para>Scanning should be completed before calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>snsAddrPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the pointer to the <ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref> object belonging to a sensor that should be disconnected from the CSD HW block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
An example of using the function to perform port pin re-connection: <programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*...*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga6e1e04fc3230d480e725e8f7bb3848e5">Cy_CapSense_SetupWidgetExt</ref>(CY_CAPSENSE_TOUCHPAD0_WDGT_ID,<sp />0u,<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Connects<sp />a<sp />desired<sp />port<sp />pin<sp />as<sp />a<sp />sensor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6">Cy_CapSense_CSDConnectSns</ref>(&amp;(cy_capsense_context.ptrWdConfig[CY_CAPSENSE_TOUCHPAD0_WDGT_ID].ptrEltdConfig-&gt;ptrPin[CY_CAPSENSE_TOUCHPAD0_SNS1_ID]),<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga1453dd4d533eaf1ab4a92ceb8d8230f2">Cy_CapSense_ScanExt</ref>(&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__capsense__macros__general_1ga1bd45eed2be393b7f53c20f1bae2814e">CY_CAPSENSE_NOT_BUSY</ref><sp />!=<sp /><ref kindref="member" refid="group__group__capsense__high__level_1ga7f8739755bba6b51c274f45b569b9ba0">Cy_CapSense_IsBusy</ref>(&amp;cy_capsense_context)){}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disconnects<sp />a<sp />desired<sp />port<sp />pin<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga6a8a786c465600cb93afa65fbb2474e6">Cy_CapSense_CSDDisconnectSns</ref>(&amp;(cy_capsense_context.ptrWdConfig[CY_CAPSENSE_TOUCHPAD0_WDGT_ID].ptrEltdConfig-&gt;ptrPin[CY_CAPSENSE_TOUCHPAD0_SNS1_ID]),<sp />&amp;cy_capsense_context);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*...*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="876" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.c" bodystart="868" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" line="56" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the function prototypes specific to the CSD sensing method implementation. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.10</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2018-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="18"><highlight class="preprocessor">#if<sp />!defined(CY_CAPSENSE_CSD_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_CSD_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_structure.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="comment">/****************************************************************************</highlight></codeline>
<codeline lineno="33"><highlight class="comment">*<sp />Register<sp />and<sp />mode<sp />mask<sp />definition</highlight></codeline>
<codeline lineno="34"><highlight class="comment">****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_DEFAULT_CSD_SW_DSI_SEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00000000uL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_DEFAULT_CSD_INTR_SET<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00000000uL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_DEFAULT_SW_HS_N_SEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00000000uL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_DEFAULT_CSD_ADC_CTL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00000000uL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_EXT_CAP_DISCHARGE_TIME<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="43"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="44"><highlight class="comment">**************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="48"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal">cy_status<sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga267502081ebfd5ed1221debd9167e7fa">Cy_CapSense_CSDCalibrateWidget</ref>(uint32_t<sp />widgetId,<sp />uint32_t<sp />target,<sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c">Cy_CapSense_CSDSetupWidget</ref>(uint32_t<sp />widgetId,<sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga898ff1a676637f32c34140f88d5d275f">Cy_CapSense_CSDSetupWidgetExt</ref>(uint32_t<sp />widgetId,<sp />uint32_t<sp />sensorId,<sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1gad5faac7e10eb8c4193d7c93b5615ac70">Cy_CapSense_CSDScan</ref>(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga93d8ff09f519f7bfd17b5bf4bcb8f727">Cy_CapSense_CSDScanExt</ref>(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga5b0e78b06f8929fab12d4d68d655b7e6">Cy_CapSense_CSDConnectSns</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref><sp />*<sp />snsAddrPtr,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga6a8a786c465600cb93afa65fbb2474e6">Cy_CapSense_CSDDisconnectSns</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref><sp />*<sp />snsAddrPtr,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="63"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDDisableMode(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDInitialize(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDStartSample(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDDisableShieldElectrodes(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal">uint32_t<sp />Cy_CapSense_CSDGetNumberOfConversions(uint32_t<sp />snsClkDivider,<sp />uint32_t<sp />resolution,<sp />uint32_t<sp />snsClkSrc);</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDSetUpIdacs(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDSnsStateCheck(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDCalculateScanDuration(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDConnectSnsExt(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDDisconnectSnsExt(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDConfigClock(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDClearSensors(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDSetWidgetSenseClkSrc(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig);</highlight></codeline>
<codeline lineno="79"><highlight class="normal">uint32_t<sp />Cy_CapSense_CSDCalcPrsSize(uint32_t<sp />snsClkDivider,<sp />uint32_t<sp />resolution);</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDScanISR(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />capsenseContext);</highlight></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDCmodPrecharge(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_CSDDischargeCmod(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal">}</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCSDV2<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_CAPSENSE_CSD_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_csd.h" />
  </compounddef>
</doxygen>